Bug 752706 - python-flask breaks locally installed eggs by containing bogus easy-install.pth
Summary: python-flask breaks locally installed eggs by containing bogus easy-install.pth
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-flask
Version: 15
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Dan Young
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-10 07:35 UTC by Anders Kaseorg
Modified: 2011-11-29 00:12 UTC (History)
4 users (show)

Fixed In Version: python-flask-0.6.1-3.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-29 00:01:42 UTC
Type: ---


Attachments (Terms of Use)
don’t own easy-install.pth (641 bytes, patch)
2011-11-11 03:26 UTC, Anders Kaseorg
no flags Details | Diff

Description Anders Kaseorg 2011-11-10 07:35:04 UTC
Description of problem:
The python-flask RPM owns /usr/lib/python2.7/site-packages/easy-install.pth, which breaks eggs locally installed with easy_install.

Version-Release number of selected component (if applicable):
0.6.1-2.fc15

How reproducible:
Always.

Steps to Reproduce:
1. Use easy_install to install an egg from pypi
2. yum install python-flask

Actual results:
The local egg stops working because /usr/lib/python2.7/site-packages/easy-install.pth has been clobbered with a bogus version that points to a temporary build directory.

$ rpm -qf /usr/lib/python2.7/site-packages/easy-install.pth
python-flask-0.6.1-2.fc15.noarch
$ cat /usr/lib/python2.7/site-packages/easy-install.pth
import sys; sys.__plen = len(sys.path)
/builddir/build/BUILD/Flask-0.6.1
import sys; new=sys.path[sys.__plen:]; del sys.path[sys.__plen:]; p=getattr(sys,'__egginsert',0); sys.path[p:p]=new; sys.__egginsert = p+len(new)

Expected results:
python-flask RPM has no business owning /usr/lib/python2.7/site-packages/easy-install.pth.  This file should just be removed from the RPM.

Comment 1 Anders Kaseorg 2011-11-11 03:26:02 UTC
Created attachment 532960 [details]
don’t own easy-install.pth

Comment 2 Fedora Update System 2011-11-17 00:44:37 UTC
python-flask-0.7.2-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-flask-0.7.2-2.fc16

Comment 3 Fedora Update System 2011-11-17 00:45:52 UTC
python-flask-0.6.1-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/python-flask-0.6.1-3.fc15

Comment 4 Dan Young 2011-11-17 00:50:13 UTC
(In reply to comment #0)
> Description of problem:
> The python-flask RPM owns /usr/lib/python2.7/site-packages/easy-install.pth,
> which breaks eggs locally installed with easy_install.

Thanks for reporting this. I've committed that patch and built RPMs for f15 and f16.

The f15 and f16 packages have been submitted to Bodhi as testing updates. Please test and leave feedback on the Bodhi page:
https://admin.fedoraproject.org/updates/python-flask-0.6.1-3.fc15

Comment 5 Fedora Update System 2011-11-17 23:39:05 UTC
Package python-flask-0.6.1-3.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-flask-0.6.1-3.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16027/python-flask-0.6.1-3.fc15
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-11-29 00:01:42 UTC
python-flask-0.6.1-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2011-11-29 00:12:53 UTC
python-flask-0.7.2-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.